#include<stdio.h>
main()
{
	int a,b,x,y;
	scanf("%d%d",&a,&b);
	scanf("%d%d",&x,&y);
	if(a>x && b>y)
	printf("?");
	if(a==x && b>y)
	printf("drugi");
	if(a>x && b==y)
	printf("prvi");
	if(a==x && b==y)
	printf("nijedan");
	
}